Author Topic: Squid modul frissítés után nem működik!  (Read 1821 times)

itanczos

  • Zen Apprentice
  • *
  • Posts: 37
  • Karma: +1/-0
    • View Profile
Squid modul frissítés után nem működik!
« on: January 08, 2015, 03:57:06 am »
Sziasztok!

Ma kijött a squid modul 4.0.1 verziója, ami nem indul el, beállításait sem tudja menteni a zentyal!

Hiba üzenet:
Quote
To enable the HTTP proxy module, you need to have a least one external network interface

Vagyis hiányolja a WAN hálózati csatolót! Csak tudnám minek...  :o

Szerencsére az előző 4.0-s verzió visszaállítható a
Quote
/var/cache/apt/archives
mappából a
Code: [Select]
dpkg -i zentyal-squid_4.0_all.debparanccsal.
« Last Edit: January 09, 2015, 03:57:33 pm by itanczos »

julio

  • Guest
Re: Squid modul frissítés után nem működik!
« Reply #1 on: January 08, 2015, 12:00:22 pm »
Ha szabad erdeklodni, milyen konfiguracioban hasznalod a zentyalt, esetleg belso fileszerver?
Mert annak nem latok sok ertelmet, hogy a HTTP Proxy fent van WAN bemenet nelkül...

itanczos

  • Zen Apprentice
  • *
  • Posts: 37
  • Karma: +1/-0
    • View Profile
Re: Squid modul frissítés után nem működik!
« Reply #2 on: January 08, 2015, 12:44:15 pm »
Ha szabad erdeklodni, milyen konfiguracioban hasznalod a zentyalt, esetleg belso fileszerver?
Mert annak nem latok sok ertelmet, hogy a HTTP Proxy fent van WAN bemenet nelkül...
Igen, egy egy belső szerver.
Szerintem meg igenis van értelme. Nem akarom az egyébként gyenge tűzfal gépet ezzel terhelni, ráadásul azt nem is akarom domain-ba léptetni. Úgy viszont nem lesz automatikus proxy hitelesítés.

Ettől függetlenül szerintem ezt a választási lehetőséget fenn kellene tartani a rendszergazdának...

Sajnálattal látom, hogy lassan a zentyal is kezdi átvenni a Microsoft szokásait... :(
Egyre kevesebb szolgáltatás, egyre kevesebb lehetőséggel.
Szerintem sok jó modul került ki az előző verziókhoz képest. :(
Persze, tudom, hogy megoldható Linux oldalról, de akkor pont a központi kezelhetőséget veszítjük el. De az is lehet, hogy ez csak a fizetős verzióra való kényszerítés... :(

julio

  • Guest
Re: Squid modul frissítés után nem működik!
« Reply #3 on: January 08, 2015, 01:28:30 pm »
Ok, igy mar ertem...

Quote
Szerintem sok jó modul került ki az előző verziókhoz képest.
A nekem hianyzo modulokat (Radius, IPS) en szemely szerint atirtam zentyal 4-re.

itanczos

  • Zen Apprentice
  • *
  • Posts: 37
  • Karma: +1/-0
    • View Profile
Re: Squid modul frissítés után nem működik!
« Reply #4 on: January 09, 2015, 01:28:22 pm »
Erről tudnál részletesebben írni?
Hogyan kell? Megosztod a munkádat, csomagokat?

itanczos

  • Zen Apprentice
  • *
  • Posts: 37
  • Karma: +1/-0
    • View Profile
Re: Squid modul frissítés után nem működik!
« Reply #5 on: January 09, 2015, 03:56:37 pm »
Slapic, Krisztián, tudsz erről valamit? Csak véletlenül állították be ezt a kötelező WAN függőséget?

julio

  • Guest
Re: Squid modul frissítés után nem működik!
« Reply #6 on: January 09, 2015, 04:13:07 pm »
Erről tudnál részletesebben írni?
Hogyan kell? Megosztod a munkádat, csomagokat?

Radius modulban kijavitottam a korabbi hibakat,
a Domain autentikaciot egy kicsit feljavitottam.
Alapertelmezett protokol: PEAP-MSCHAPv2 (Windows 7 es Ubuntu alatt problemamentes).
Nalam hostapd AP-val van osszekombinalva.

Az IPS modulban csak par aprosagot valtoztattam.
Az automatikus frissites meg nincs teljesen kesz.
De az egesz tulajdonkeppen mukodik.

a *.deb telepito csomagokat meg tudom osztani...
« Last Edit: January 09, 2015, 04:16:26 pm by julio »

julio

  • Guest
Re: Squid modul frissítés után nem működik!
« Reply #7 on: January 09, 2015, 04:15:21 pm »
Slapic, Krisztián, tudsz erről valamit? Csak véletlenül állították be ezt a kötelező WAN függőséget?

a veletlent nem tudom elkepzelni, mert tobb helyen is le van programozva az ellenorzese:
https://github.com/Zentyal/zentyal/blob/788cb9bc115c8b17f44426781e682c5196b76d10/main/squid/src/EBox/Squid.pm#L324
https://github.com/Zentyal/zentyal/blob/788cb9bc115c8b17f44426781e682c5196b76d10/main/squid/src/EBox/Squid.pm#L1360

itanczos

  • Zen Apprentice
  • *
  • Posts: 37
  • Karma: +1/-0
    • View Profile
Re: Squid modul frissítés után nem működik!
« Reply #8 on: January 09, 2015, 04:34:02 pm »
Köszi az infókat!

Azért szerintem egy ilyen változást nem szabadna főverzió váltás nélkül bevezetni!

Ez egy éles rendszeren automatikus frissítéssel nem kis gondot okozhat!!!  :o

(Egyébként Krisztián előadásán pont az általam használt felállást javasolta...)
« Last Edit: January 09, 2015, 04:35:57 pm by itanczos »

gduck

  • Zen Apprentice
  • *
  • Posts: 2
  • Karma: +0/-0
    • View Profile
Re: Squid modul frissítés után nem működik!
« Reply #9 on: May 30, 2016, 04:59:38 pm »
Sziasztok!

Sajnos én is belefutottam ebbe a hibába :( És sehonnan sem tudom letölteni a zentyal-squid_4.0_all.deb verziót.
Valaki el tudná nekem küldeni?

Előre is köszi, üdv!

itanczos

  • Zen Apprentice
  • *
  • Posts: 37
  • Karma: +1/-0
    • View Profile
Re: Squid modul frissítés után nem működik!
« Reply #10 on: May 30, 2016, 05:14:28 pm »
Sziasztok!

Sajnos én is belefutottam ebbe a hibába :( És sehonnan sem tudom letölteni a zentyal-squid_4.0_all.deb verziót.
Valaki el tudná nekem küldeni?

Előre is köszi, üdv!

Szerintem nincs sok értelme...
A legutolsó frissítésekkel már nem indult el a 4.0 modul.
Nekem nagy csalódás a Zentyal... Nagyon jól indult, nagy reményekkel, aztán mára már csak nagyrészt a samba és az openchange maradt.
Ráadásul nagyon nagy a csend... Elvileg a 4.2 verziónál tart, de a honlapon a 4.0 fotói és egyéb dolgai vannak.

Nem is merem a 4.1-re frissíteni, mivel éles rendszer. A samba-val is sok bajom van a jogosultságokkal, roaming profiloknál is... De ez itt off-topic.

gduck

  • Zen Apprentice
  • *
  • Posts: 2
  • Karma: +0/-0
    • View Profile
Re: Squid modul frissítés után nem működik!
« Reply #11 on: June 06, 2016, 10:00:22 am »
Köszi a választ! Közben már megoldottam úgy, hogy kivettem az external WAN ellenőrzést ;)